package com.ruoyi.project.sems.his.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.sems.domain.TSpecdevYlgd;
import com.ruoyi.project.sems.domain.TSpecdevYlrq;
import com.ruoyi.project.sems.his.domain.TSpechiYlgd;

/**
 * 特种设备压力管道台账历史Mapper接口
 * 
 * @author ruoyi
 * @date 2021-09-02
 */
public interface TSpechiYlgdMapper 
{
    /**
     * 查询特种设备压力管道台账历史
     * 
     * @param id 特种设备压力管道台账历史ID
     * @return 特种设备压力管道台账历史
     */
    public TSpechiYlgd selectTSpechiYlgdById(Long id);

    /**
     * 查询特种设备压力管道台账历史列表
     * 
     * @param tSpechiYlgd 特种设备压力管道台账历史
     * @return 特种设备压力管道台账历史集合
     */
    @DataScope(deptAlias = "d")
    public List<TSpechiYlgd> selectTSpechiYlgdList(TSpechiYlgd tSpechiYlgd);

    /**
     * 新增特种设备压力管道台账历史
     * 
     * @param tSpechiYlgd 特种设备压力管道台账历史
     * @return 结果
     */
    public int insertTSpechiYlgd(TSpechiYlgd tSpechiYlgd);

    /**
     * 使用台账对象新增特种设备压力管道台账历史
     * @param tSpecdevYlgd 特种设备台账对象
     * @return
     */
    public int insertTSpechiYlgdByDev(TSpecdevYlgd tSpecdevYlgd);

    /**
     * 修改特种设备压力管道台账历史
     * 
     * @param tSpechiYlgd 特种设备压力管道台账历史
     * @return 结果
     */
    public int updateTSpechiYlgd(TSpechiYlgd tSpechiYlgd);

    /**
     * 删除特种设备压力管道台账历史
     * 
     * @param id 特种设备压力管道台账历史ID
     * @return 结果
     */
    public int deleteTSpechiYlgdById(Long id);

    /**
     * 批量删除特种设备压力管道台账历史
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpechiYlgdByIds(Long[] ids);

    public List<TSpechiYlgd> selectTSpechiYlgdByReform(Long devId);

    /**
     * 根据devId删除台账历史
     * @param devId
     * @return
     */
    public int deleteTSpechiYlgdByDevId(Long devId);
}
